Star "Ka'nah"
{
	ParentBody "Kharak system"
	Class "F4VI"
	AbsMagn 4.5
	Age 6.7
	
	Orbit
	{
		Type	"Static"
	}
}

Star "Shinn'a"
{
	ParentBody "Hiigara system"
	Class "G2V"
	AbsMagn 4.6
	Age 5.1
	
	Orbit
	{
		Type	"Static"
	}
}

Planet "Kharak"
{
	ParentBody	"Ka'nah"
	Class		"Terra"

	Radius	5248
	RotationPeriod	29.63
	Obliquity	12.1
	Albedo	0.4
	Mass		0.6
	
	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}

	Surface
	{
		// surfStyle           0.01
		// oceanStyle			0.01
		Randomize      (-0.742, -0.444, -1.306)
		colorDistMagn   0.05955034
		colorDistFreq   835.5726
		detailScale     26996.31
		colorConversion true
		drivenDarkening -1
		seaLevel        0.38333
		snowLevel       1
		tropicLatitude  0.2079118
		icecapLatitude  1
		icecapHeight    0
		climatePole     0.82 // 0.89
		climateTropic   0.15 // 0.4
		climateEquator  0
		tropicWidth     0.1
		mainFreq        0.04641588
		venusFreq       1.857143
		venusMagn       0
		mareFreq        4.700849
		mareDensity     0
		terraceProb     0.39
		erosion         0.0
		montesMagn      0.2380952
		montesFreq      112.0608
		montesFraction  0.184791
		montesSpiky		0.2
		dunesMagn       0.0369355
		dunesFreq       68.16888
		dunesFraction   0.7422801
		hillsMagn       0.3015873
		hillsFreq       832.1355
		hillsFraction   -0.2978357
		hills2Fraction  -0.01587301
		canyonsMagn     0
		canyonsFreq     50.85838
		canyonFraction  -0.3439828
		cracksMagn      0.1314069
		cracksFreq      0
		cracksOctaves   1
		craterMagn      0.4920635
		craterFreq      5.689242
		craterDensity   0.06142858
		craterOctaves   5
		craterRayedFactor 0
		twistZones      2.421601
		twistMagn       0.515873
		cycloneMagn     2.369841
		cycloneFreq     0.2380952
		cycloneDensity  0
		cycloneOctaves  3 
		colorSea       (0.040, 0.100, 0.200, 1.000)
		colorShelf     (0.040, 0.100, 0.200, 1.000)
		colorBeach     (0.850, 0.740, 0.550, 0.000)
		colorDesert    (0.770, 0.670, 0.470, 0.000)
		colorLowland   (0.440, 0.290, 0.170, 0.000)
		colorUpland    (0.640, 0.570, 0.470, 0.000)
		colorRock      (0.220, 0.200, 0.200, 0.000)
		colorSnow      (1.000, 1.000, 1.000, 0.016)
		colorLowPlants (0.197, 0.206, 0.081, 0.000)
		colorUpPlants  (0.153, 0.144, 0.057, 0.000)
		BumpHeight      30
		BumpOffset      8
		DiffMapAlpha   "Water"
		SpecularBright  0.35
		SpecularPower   55
		DayAmbient      0.07
		Lommel          0
		Exposure        2
	}

	Clouds
	{
		Height          12
		Velocity        40
		BumpHeight      1
		DayAmbient      2
		Lommel          0.2
		Exposure        2
		Color          (1.000 1.000 1.000 1.000)
		mainFreq        0.3333333
		mainOctaves     10
		Coverage        0.09
		twistZones      2.421601
		twistMagn       0.515873
	}

	Ocean
	{
		Height          11.1
		DayAmbient      2
		Lommel          0
		Exposure        2
		Color          (1.000 1.000 1.000 1.000)
	}

	Atmosphere
	{
		Height      60		// km
		Greenhouse  20		// degrees K
		Pressure    0.7		// atm
		Density     1.0		// kg/m^3
		Model      "Earth"
		Bright      8.0
		Opacity     1.0
		SkyLight    2.5
		EclipseBright  300.0
		EclipseColor ( 0.900 0.600 0.200 )
	}

	Orbit
	{
		SemiMajorAxis	0.76
		Eccentricity	0.06
		Inclination		0.1
	}

}

Planet "I"
{
	ParentBody     "Ka'nah"
	Class	       "Selena"

	Radius          4143

	Obliquity       0
	EqAscendNode   -5.2

	Albedo          0.18

	NoClouds true
	NoAtmosphere true

	Surface
	{
		Randomize      (0.31, 0.17, 0.44)
		mainFreq        0.06
		mainOctaves     6
		seaLevel        0.3
		heightMont      0.5
		colorDistAmpl   0.02
		colorDistFreq   3.5
		mareFreq        2.5
		mareDensity     0.25
		craterDensity   0.4
		craterOctaves   10
		craterAmpl      0.2
		craterFreq      50.0
		colorSea        (0.24, 0.24, 0.25, 0.00)
		colorShelf      (0.37, 0.37, 0.35, 0.00)
		colorBeach      (0.50, 0.50, 0.50, 0.00)
		colorDesert     (0.62, 0.60, 0.57, 0.00)
		colorLowland    (0.67, 0.64, 0.64, 0.00)
		colorUpland     (0.70, 0.67, 0.66, 0.00)
		colorRock       (0.65, 0.61, 0.62, 0.00)
		colorSnow       (1.00, 1.00, 1.00, 0.50)
		BumpHeight  12
	}

	Orbit
	{
		SemiMajorAxis  0.26
		Eccentricity   0.0058
		Inclination    0.002
		AscendingNode  312.981
		LongOfPericen  97.735
		MeanLongitude  106.724
	}
}

Planet	"II"
{
	ParentBody     "Ka'nah"
	Class		   "IceGiant"
	Mass            12
	Orbit
	{
		SemiMajorAxis  0.48
		Eccentricity   0.02
	}
	Atmosphere
	{
		Model		   "Jupiter"
	}
}


Planet	"Haarsuk"
{
	ParentBody     "Ka'nah"
	Mass            228
	Obliquity		4.2
	Orbit
	{
		SemiMajorAxis  2.12
		Eccentricity   0.015
	}
	Rings
	{
		InnerRadius	40000
		OuterRadius 180000
	}
}

Moon	"Haarsuk ALF"
{
	ParentBody	   "Haarsuk"
	Radius			1036
	
	Orbit
	{
		SemiMajorAxis	0.002
	}
}

Moon	"Haarsuk BET"
{
	ParentBody	   "Haarsuk"
	Radius			2368
	Class		   "Desert"
	Albedo			0.6
	
	Atmosphere
	{
		Height		100
		Pressure	0.006
		Model	   "Jupiter"
		Bright      2.0
		Opacity     0.4
		SkyLight    2.0
	}
	
	Surface
	{
		climatePole     1
		climateTropic   0.865 // 0.8947619
		climateEquator  0.794 // 0.8315873
		seaLevel		0
	}
	
	Orbit
	{
		SemiMajorAxis	0.0035
	}
}


Planet	"V"
{
	ParentBody     "Ka'nah"
	Mass            47
	Orbit
	{
		SemiMajorAxis  3.55
		Eccentricity   0.02
	}
	Atmosphere
	{
		Model		   "Earth"
	}
}


Planet	"VI"
{
	ParentBody     "Ka'nah"
	Mass            40
	Orbit
	{
		SemiMajorAxis  5.64
		Eccentricity   0.02
	}
	Atmosphere
	{
		Model		   "Earth"
	}
}


Planet	"VII"
{
	ParentBody     "Ka'nah"
	Mass            0.05
	Atmosphere
	{
		Model		"Earth"
		Pressure	0.6
		Greenhouse	2
		Height		90
	}
	
	Surface
	{
		SurfStyle	0.50
		OceanStyle	0.50
	}
	
	Clouds
	{
		Height		15
		Coverage	0.20
		Color       (1.000 1.000 1.000 1.000)
	}
	Clouds
	{
		Height		20
		Coverage	0.30
		Color       (1.000 1.000 1.000 1.000)
	}
	Clouds
	{
		Height		30
		Coverage	0.1
		Color       (1.000 1.000 1.000 1.000)
	}

	Orbit
	{
		SemiMajorAxis  9.16
		Eccentricity   0.02
	}
}

Planet "I"
{
	ParentBody     "Shinn'a"
	Class	       "Selena"

	Radius          4143

	Obliquity       0
	EqAscendNode   -5.2

	Albedo          0.18

	NoAtmosphere true
	NoClouds true

	Surface
	{
		Randomize      (0.31, 0.17, 0.44)
		mainFreq        0.06
		mainOctaves     6
		seaLevel        0.3
		heightMont      0.5
		colorDistAmpl   0.02
		colorDistFreq   3.5
		mareFreq        2.5
		mareDensity     0.25
		craterDensity   0.4
		craterOctaves   10
		craterAmpl      0.2
		craterFreq      50.0
		colorSea        (0.24, 0.24, 0.25, 0.00)
		colorShelf      (0.37, 0.37, 0.35, 0.00)
		colorBeach      (0.50, 0.50, 0.50, 0.00)
		colorDesert     (0.62, 0.60, 0.57, 0.00)
		colorLowland    (0.67, 0.64, 0.64, 0.00)
		colorUpland     (0.70, 0.67, 0.66, 0.00)
		colorRock       (0.65, 0.61, 0.62, 0.00)
		colorSnow       (1.00, 1.00, 1.00, 0.50)
		BumpHeight  12
	}

	Orbit
	{
		SemiMajorAxis  0.26
		Eccentricity   0.0058
		Inclination    0.002
		AscendingNode  312.981
		LongOfPericen  97.735
		MeanLongitude  106.724
	}
}

Planet	"II"
{
	ParentBody     "Shinn'a"
	Mass            0.6
	
	Surface
	{
		SpecularBright	0
	}
	
	Orbit
	{
		SemiMajorAxis  0.48
		Eccentricity   0.02
	}
}

Planet "Hiigara"
{
	ParentBody     "Shinn'a"
	Class	       "Terra"

	Radius          6440
	RotationPeriod	22.3

	Obliquity       8

	Albedo          0.35
	
	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}

	Surface
	{
		SurfStyle		0.01
		OceanStyle		0.01
		Randomize      (2.000, 0.825, -0.286)
		colorDistMagn   0.05232551
		colorDistFreq   899.3218
		detailScale     33128.09
		colorConversion true
		drivenDarkening -1
		seaLevel        0.5942772
		snowLevel       0.893397
		tropicLatitude  0.08715581
		icecapLatitude  0.8519095
		icecapHeight    0.4451872
		climatePole     0.8500001
		climateTropic   0.25
		climateEquator  1
		tropicWidth     0.07
		mainFreq        1.380506
		venusFreq       0.9453732
		venusMagn       0
		mareFreq        3.56648
		mareDensity     0
		terraceProb     0
		erosion         0.1182792
		montesMagn      0.4
		montesFreq      200.7
		montesFraction  0.50
		montesSpiky		0.6
		dunesMagn       0.07498723
		dunesFreq       42.71283
		dunesFraction   0.2
		hillsMagn       0.1456018
		hillsFreq       534.1694
		hillsFraction   0.2
		hills2Fraction  0.0
		canyonsMagn     0.03699908
		canyonsFreq     88.50933
		canyonFraction  0.1
		cracksMagn      0
		cracksFreq      0
		cracksOctaves   1
		craterMagn      0.0571486
		craterFreq      19.82875
		craterDensity   0
		craterOctaves   13
		craterRayedFactor 0
		twistZones      7.019327
		twistMagn       0.3968254
		cycloneMagn     1.586351
		cycloneFreq     0.04761905
		cycloneDensity  0.1446032
		cycloneOctaves  3
		colorSea       (0.040, 0.100, 0.200, 1.000)
		colorShelf     (0.150, 0.480, 0.460, 1.000)
		colorBeach     (0.850, 0.740, 0.550, 0.000)
		colorDesert    (0.770, 0.670, 0.470, 0.000)
		colorLowland   (0.440, 0.290, 0.170, 0.000)
		colorUpland    (0.640, 0.570, 0.470, 0.000)
		colorRock      (0.220, 0.200, 0.200, 0.000)
		colorSnow      (1.000, 1.000, 1.000, 0.016)
		colorLowPlants (0.129, 0.174, 0.073, 0.000)
		colorUpPlants  (0.109, 0.120, 0.045, 0.000)
		BumpHeight      25
		BumpOffset      14
		DiffMapAlpha   "Water"
		SpecularBright  0.35
		SpecularPower   55
		DayAmbient      0.07
		Lommel          0
		Exposure        2
	}

	Clouds
	{
		Height          12
		Velocity        55
		BumpHeight      1
		DayAmbient      2
		Lommel          0.2
		Exposure        2
		Color          (1.000 1.000 1.000 1.000)
		mainFreq        1.428571
		mainOctaves     10
		Coverage        0.1573016
		twistZones      7.019327
		twistMagn       0.3968254
	}

	Ocean
	{
		Height          15.5
		DayAmbient      2
		Lommel          0
		Exposure        2
		Color          (1.000 1.000 1.000 1.000)
	}
	
	Atmosphere
	{
		Model          "Earth"
		Height          60
		Density         1.548
		Pressure        0.9
		Greenhouse      27.25972
		Bright          10
		Opacity         1
		SkyLight        3.333333
	}
	
	Orbit
	{
		SemiMajorAxis  0.96
		Eccentricity   0.01
		Inclination    3
	}
}

Planet	"Angel Moon"
{
	ParentBody     "Hiigara"
	Class		   "Selena"
	Radius			1930
	NoAtmosphere true
	NoRings true
	NoClouds true
	Mass			0.018
	
	Orbit
	{
		SemiMajorAxis  0.001
		Eccentricity   0.02
	}
	
	Surface
	{
		colorSea        (0.32, 0.34, 0.36, 0.00)
		colorShelf      (0.38, 0.40, 0.42, 0.00)
		colorBeach      (0.50, 0.52, 0.54, 0.00)
		colorDesert     (0.62, 0.64, 0.67, 0.00)
		colorLowland    (0.64, 0.66, 0.69, 0.00)
		colorUpland     (0.70, 0.72, 0.75, 0.00)
		colorRock       (0.65, 0.67, 0.70, 0.00)
		colorSnow       (1.00, 1.00, 1.00, 0.50)
		Exposure		5.0
		craterRayedFactor 0.15
	}
}

Planet	"IV"
{
	ParentBody     "Shinn'a"
	Mass            8.3
	Obliquity		16
	Orbit
	{
		SemiMajorAxis  2.12
		Eccentricity   0.015
	}
	NoRings true
}


Planet	"V"
{
	ParentBody     "Shinn'a"
	Mass            26
	Orbit
	{
		SemiMajorAxis  3.55
		Eccentricity   0.02
	}
	NoRings true
}


Planet	"VI"
{
	ParentBody     "Shinn'a"
	Mass            140
	Orbit
	{
		SemiMajorAxis  5.64
		Eccentricity   0.02
	}
	
	Atmosphere
	{
		Model		   "Earth"
	}
	
	Rings
	{
		InnerRadius		70000
		OuterRadius		200000 // 400000
		Density			2.0
		Exposure		3.0
	}
}
